DomainCatalog (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.lotus.DomainCatalog interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.lotus
Interface DomainCatalog

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface DomainCatalog

extends LogicalElement

Naming Rules:
  0="parent" 1="managedSystemName"
Persistable:
  true
Table Name:
  DOMCATA
Display Name:
  parent

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`int` | `getEnabled()`
`java.lang.String` | `getLimitDomainCatalogingToFollowingServers()`
`DominoServer` | `getParent()`
`boolean` | `hasEnabled()`
`boolean` | `hasLimitDomainCatalogingToFollowingServers()`
`boolean` | `hasParent()`
`void` | `setEnabled(int s)`
`void` | `setLimitDomainCatalogingToFollowingServers(java.lang.String s)`
`void` | `setParent(DominoServer s)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setParent

    void setParent(DominoServer s)

### getParent

    DominoServer getParent()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="true"

### hasParent

    boolean hasParent()

### setEnabled

    void setEnabled(int s)

### getEnabled

    int getEnabled()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasEnabled

    boolean hasEnabled()

### setLimitDomainCatalogingToFollowingServers

    void setLimitDomainCatalogingToFollowingServers(java.lang.String s)

### getLimitDomainCatalogingToFollowingServers

    java.lang.String getLimitDomainCatalogingToFollowingServers()
                                                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasLimitDomainCatalogingToFollowingServers

    boolean hasLimitDomainCatalogingToFollowingServers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD